namespace PhotoRenamer;

public static class FolderExtension
{
    public static string CreateFolderStructureByDate(string targetRoot, DateOnly dateTime)
    {
        var folder = BuildTargetDirectoryByDate(targetRoot, dateTime);
        if (!Directory.Exists(folder))
        {
            Directory.CreateDirectory(folder);
        }

        return folder;
    }

    public static string BuildTargetDirectoryByDate(string targetRoot, DateOnly dateTime)
    {
        return Path.Combine(targetRoot, dateTime.Year.ToString(), dateTime.Month.ToString("D2"));
    }

    public static string[] GetAllFiles(string sourceRoot)
    {
        return Directory.GetFiles(sourceRoot, "*", SearchOption.AllDirectories);
    }
}
